Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
PropertyFilter Class Reference

NOTE: This filter modifies logging events by adding properties to the event. More...

Inherits Filter.

## Public Member Functions
| PropertyFilter ()
| ~PropertyFilter ()
void | setProperties (const LogString &props)
FilterDecision | decide (const spi::LoggingEventPtr &event) const
Public Member Functions inherited from Filter
| Filter ()
void | addRef () const
void | releaseRef () const
log4cxx::spi::FilterPtr | getNext () const
void | setNext (const log4cxx::spi::FilterPtr &newNext)
void | activateOptions (log4cxx::helpers::Pool &p)
| Usually filters options become active when set. More...
void | setOption (const LogString &option, const LogString &value)
| Set `option` to `value`. More...
Public Member Functions inherited from OptionHandler
virtual | ~OptionHandler ()
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()

## Additional Inherited Members
Public Types inherited from Filter
enum | FilterDecision { DENY = -1, NEUTRAL = 0, ACCEPT = 1 }
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

NOTE: This filter modifies logging events by adding properties to the event.

The 'properties' param is converted to event properties, which are set on every event processed by the filter.

Individual properties are only set if they do not already exist on the logging event (will not override existing properties).

This class relies on the convention that property name/value pairs are equals-symbol delimited, and each name/value pair is comma-delimited

Example properties param: somename=somevalue,anothername=anothervalue,thirdname=third value

## Constructor & Destructor Documentation

PropertyFilter | ( |  | ) |

~PropertyFilter | ( |  | ) |

## Member Function Documentation

FilterDecision decide | ( | const spi::LoggingEventPtr & | event | ) | const
| virtual

If the decision is `DENY`, then the event will be dropped. If the decision is `NEUTRAL`, then the next filter, if any, will be invoked. If the decision is ACCEPT then the event will be logged without consulting with other filters in the chain.

Parameters

  event | The LoggingEvent to decide upon.

Returns
  The decision of the filter.

Implements Filter.

void setProperties | ( | const LogString & | props | ) |

The documentation for this class was generated from the following file:

- propertyfilter.h